package com.ai.da.service;

import com.ai.da.mapper.primary.entity.SysFile;
import com.ai.da.model.vo.SysFileVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 服务类
 *
 * @author yanglei
 * @since 2022-10-6
 */
public interface SysFileService extends IService<SysFile> {
    /**
     * 初始化默认的系统文件
     */
    void initDefaultSysFile();

    /**
     * 根据类型获取系统文件最大id
     *
     * @param level2Type
     * @param modelSex
     * @return
     */
    Long getMaxIdByLevel2Type(String level2Type, String modelSex);

    /**
     * 根据类型获取系统文件最小id
     *
     * @param level2Type
     * @param modelSex
     * @return
     */
    Long getMinIdByLevel2Type(String level2Type, String modelSex);

    /**
     * 根据id获取系统文件
     *
     * @param id
     * @return
     */
    SysFileVO getById(Long id);

    /**
     * 根据level1Type获取系统文件
     *
     * @param level2Type
     * @return
     */
    List<SysFileVO> getByLevel2Type(String level2Type);

    /**
     * 根据集合url查询
     *
     * @param urlList
     */
    List<SysFileVO> getByUrlList(List<String> urlList);

    List<SysFile> getByIds(List<Long> ids);

    SysFile getOneBySex(Long styleId, String sex, String ageGroup);

    SysFile getOneBySex(String styleName, String sex, String ageGroup);
}
